Subject: Re: bug#75828: [PATCH] Correct make-frame docstring vis-a-vis make_frame.c

From: martin rudalics <[email-masked]>
Date: Sun, 26 Jan 2025 09:52:45 +0100

> If we use a buffer local, I'll have to remove it after make-frame is
 > complete. If a let-bound variable, users would not have to remember to do
 > this. Either way, make_frame needs to ignore the specified buffer that
 > happens to be hidden.

But a variable is not by design "let-bound".  When this variable is
automatically buffer-local a user can choose

- whether a specific hidden buffer may be shown or not by setting the
   buffer-local value

- whether any hidden buffer may be shown or not by setting the default
   value

- whether only a specific 'make-frame' call is affected by using a
   let-binding.

martin